Subject: bug#26459: 26.0.50; loaddefs.el is regenerated after each 'git pull'

From: "Phillip Lord" <[email-masked]>
Date: Wed, 26 Apr 2017 20:37:33 -0000

On Wed, April 26, 2017 8:24 pm, Paul Eggert wrote:
> On 04/26/2017 11:32 AM, Glenn Morris wrote:
>
>> After more investigation, I believe this is unfixable, given the
>> limitations of recursive make.
>
> How about if we switch to nonrecursive make? That is, have the top-level
> makefile include the subsidiary makefiles, instead of having it run $(MAKE)
> for each subsidiary makefile. This would be a major change, but it has
> some real advantages, and other projects (e.g., coreutils) have switched
> to this approach to good effect.

That might help simplify some of the strange stuff in the makefiles --
having the Makefile in src call the Makefile in lisp is confusing.